[解決済み] head内のscriptを外部化する

2010 年 11 月 21 日

ホーム フォーラム 要望と提案 [解決済み] head内のscriptを外部化する

このトピックには41件の返信が含まれ、3人の参加者がいます。6 年、 11 ヶ月前 fujiwara さんが最後の更新を行いました。

15件の投稿を表示中 - 1 - 15件目 (全42件中)
  • 投稿者
    投稿
  • #50085

    fujiwara
    参加者

    こんにちは。いつもお世話になっております。

    welcartを使ってショッピングサイトを構築中です。

    そこで、どうしても気になるところがあります。

    head内のscriptを外部化する事は可能でしょうか。

    詳細ページなどはとても長いscriptが入ってます。

    トップページでも

    /* <![CDATA[ */

    から始まるscriptが出ると思いますが、

    なんとかSEOの為にスッキリさせたいと思います。

    みなさまのお力をお貸しください!

    宜しくお願いいたします。

    #60811

    nanbu
    参加者

    こんにちは。

    確かに頭のJavaScript は邪魔ですね。

    ちょうど今、JavaScript を使わないモードと言うのを施工中です。それでしたらすっきりしますしどうでしょうか。

    #60812

    fujiwara
    参加者

    nanbu様

    早速のご回答ありがとうございます。

    javascriptを使わないモード、楽しみにしております!

    宜しくお願いいたします。

    #60813

    nanbu
    参加者

    こんにちは。

    JavaScript ですが、footer の方に移動させてみました。

    ザッとチェックしたところうまく動いているように見えます。

    おかしいところ有りましたらフィードバックお願いいたします。

    Development Version(v0.8.1.r1011301)

    #60814

    kikuchi
    参加者

    kikuchiです。

    さくらサーバーにインストールしてみました。

    買い物を続けるボタンが動作しないようです。

    ご確認願います。

    #60815

    nanbu
    参加者

    こんにちは、kikuchi さん。

    ご報告ありがとうございます。症状を確認しました。

    サーバーには関係なく、更新するファイルが漏れていたためでした。失礼しました。

    現在、Development Version は v0.8.1.r1012011 となっています。

    よろしくお願いします。

    #60816

    kikuchi
    参加者

    お早うございます。

    さくらサーバーにインストールし、改善されている事を確認しました。

    その後、メインサイト(Speever)にインストールしてみましたが、買い物を続けるボタンでエラーが発生します。念のため、V0.8.1.r1011291でもテストしましたが、やはりエラーが発生します。現在は「変更をプレビュー」を諦めて正規版に戻しています。

    よろしくお願いいたします。

    #60817

    nanbu
    参加者

    テーマは何をお使いですか?

    footer.php に<?php wp_footer(); ?> の記述は有りますでしょうか。

    JavaScript のコンフリクトを調査してみたいので、ご利用中のプラグインを教えていただけますでしょうか。

    よろしくお願いいたします。

    #60818

    kikuchi
    参加者

    お世話になります。

    テーマはTwenty Tenのstyle.cssを変更したものを使用しています。

    footer.php に<?php wp_footer(); ?> の記述は有ります。

    使用中のプラグインはAkismet・All in One SEO Pack・AStickyPostOrderER・Breadcrumb NavXT・Executable PHP widget・Google XML Sitemaps・WP Multibyte Patchになります。

    よろしくお願いいたします。

    #60819

    nanbu
    参加者

    特に問題はなさそうですが・・・

    こちらでもTwenty Ten で動作させて見ましたが正常に戻るようです。

    良かったらサイトを見せていただけますか?

    #60820

    kikuchi
    参加者

    お世話になります。

    再度Development Versionをインストールしてみましたが、同じくエラーが発生します。

    URLは http://www.centerplace.jp/ です。

    よろしくお願いいたします。

    #60821

    nanbu
    参加者

    こんにちは、kikuchi さん。

    もし可能でしたらファイルの修正をお願いしてもよろしいでしょうか。

    usc-e-shop/classes/usceshop.class.php 1264行目

    $this->options['use_javascript'] と言う部分を $this->use_js に書き換えて確認してみて欲しいのです。

    もしファイルの修正が無理でしたらDevelopment Version を更新いたします。

    よろしくお願いいたします。

    #60822

    kikuchi
    参加者

    お世話になります。

    書き換えてみましたが、状況は変わりませんでした。

    よろしくお願いいたします。

    #60823

    nanbu
    参加者

    こんにちは。

    wp_head とwp_footer でglobal $post が違っているという症状のようです。たぶんテーマの影響を受けているのでは無いかと思います。$post を使用しない様に変更しました。Development Version(0.8.1.r1012021)をご利用下さい。恐らくこれで正常に動作すると思います。

    #60824

    kikuchi
    参加者

    nanbu様

    お早うございます。

    インストールしてみましたが改善されませんでした。

    正常に動作しているサーバーは共用SSL、こちらは単独SSL、違いはこれくらいだと思うのですが、サーバーの仕様でしょうか。

    よろしくお願いいたします。

15件の投稿を表示中 - 1 - 15件目 (全42件中)

このトピックに返信するにはログインが必要です。